summaryrefslogtreecommitdiff
path: root/debian/sync-httpd.config
diff options
context:
space:
mode:
Diffstat (limited to 'debian/sync-httpd.config')
-rw-r--r--debian/sync-httpd.config22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/sync-httpd.config b/debian/sync-httpd.config
new file mode 100644
index 0000000..36e67d1
--- /dev/null
+++ b/debian/sync-httpd.config
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+_USERNAME=sync-httpd
+_GROUPNAME=www-data
+
+# For now, we only support postgres
+dbc_dbtypes=pgsql
+dbc_dbuser=${_USERNAME}
+
+dbc_authmethod_user=ident
+dbc_authmethod_admin=ident
+
+if [ -f /usr/share/dbconfig-common/dpkg/config.pgsql ]; then
+ . /usr/share/dbconfig-common/dpkg/config.pgsql
+ dbc_go sync-httpd "$@"
+fi
+
+db_stop